# Le terminal

Dans Linux, le terminal est une manière alternative pour l'utilisateur de faire les mêmes actions qu'avec des logiciels graphiques, mais d'une manière scriptable et en « feu rapide » c'est-à-dire de rapidement invoquer beaucoup de fois le même programme.

Bien que ce soit tentant, il faut éviter de le comparer à l'application « terminal » ou « cmd.exe » de windows, car ce dernier est particulièrement peu ergonomique et, d'autre part, très limité dans ses fonctionnalités.

## Définition

Dans linux « par défaut » un terminal ressemble à ça :

![](https://forum.lightburnsoftware.com/uploads/default/original/3X/9/e/9ef60821cdecb6bbf1a5cfa6d8bf3bb2e9a0d2f3.jpeg)

Concrètement, il exécute les commandes que l'on lui donne et affiche les retours des programmes qui sont appelés par ces commandes. Les commandes sont des appels à des programmes, généralement avec des arguments.

## Accéder

Pour ouvrir un terminal, on utilise généralement une application [émulateur de terminal](./emulateur.md).

## Difficultés

La principale difficulté rencontrée par les nouveaux utilisateurs de Linux est de ne pas connaitre les arguments des programmes.

En fait personne n'apprend tous les arguments de tous les programmes, par contre on peut facilement modder son terminal pour qu'il nous indique les mauvais arguments et nous propose les bons quand on en a besoin.

Il est recommandé d'utiliser un shell qui intègre déjà cette fonctionnalité, par exemple `fish`

Les commandes qui permettent de rapidement trouver l'usage d'un programme sont :

- `tldr <programme>`
- `<programme> --help`
- `man <programme>`

